#1231 ooRexx 4.1.3 randomly crashes console window

v4.2.0
closed
Mark Miesfeld
None
complete
1
2014-04-15
2013-12-25
Gene
No

This bug applies to ooRexx 4.1.3 x64 on Windows 7 x64, with the TCC (Take Command) command processor.

The console window closes for no apparent reason and at random times. No GPF is created and no error message appears. The window just closes as if I had clicked on the X button. It always happens when I am using the command line to call an internal command, a batch file or a Rexx script, but sometimes I'm only backspacing to correct a typo. It's apparent to me that conhost is crashing, although I don't get an error message.

It took me several weeks to figure out what was causing the problem, but I finally remembered that I had upgraded ooRexx to 4.1.3 at the end of October. I uninstalled 4.1.3 last week and then re-installed 4.1.2. The problem stopped.

Related

Bugs: #1231

Discussion

  • Mark Miesfeld
    Mark Miesfeld
    2014-02-01

    Hi Gene,

    Could you please try this with the ooRexx 4.2.0 release candidate. You can download it from:

    https://sourceforge.net/projects/oorexx/files/oorexx/4.2.0%20%28release%20candidate%202%29/

    Be sure to report back your results. Thanks.

     
    • Gene
      Gene
      2014-02-01

      I downloaded 4.2.0. I will install it on Sunday. after a scheduled
      overnight backup tonight.

      Thanks for your response.

      On Fri, Jan 31, 2014 at 10:10 PM, Mark Miesfeld miesfeld@users.sf.netwrote:

      Hi Gene,

      Could you please try this with the ooRexx 4.2.0 release candidate. You can
      download it from:

      https://sourceforge.net/projects/oorexx/files/oorexx/4.2.0%20%28release%20candidate%202%29/

      Be sure to report back your results. Thanks.

      Status: open
      Created: Wed Dec 25, 2013 10:47 PM UTC by Gene
      Last Updated: Wed Dec 25, 2013 10:47 PM UTC
      Owner: nobody

      This bug applies to ooRexx 4.1.3 x64 on Windows 7 x64, with the TCC (Take
      Command) command processor.

      The console window closes for no apparent reason and at random times. No
      GPF is created and no error message appears. The window just closes as if I
      had clicked on the X button. It always happens when I am using the command
      line to call an internal command, a batch file or a Rexx script, but
      sometimes I'm only backspacing to correct a typo. It's apparent to me that
      conhost is crashing, although I don't get an error message.

      It took me several weeks to figure out what was causing the problem, but I
      finally remembered that I had upgraded ooRexx to 4.1.3 at the end of
      October. I uninstalled 4.1.3 last week and then re-installed 4.1.2. The
      problem stopped.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/oorexx/bugs/1231/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1231

      Attachments
      • Gene
        Gene
        2014-02-05

        I been using 4.2.0 heavily for 2-1/2 days. It's been completely stable.
        I've had no console failures at all.

        This is a hard-working machine and I feel confident that 4.2.0 is fixed.
        Thanks for the effort you put into this. I was introduced to Rexx by OS/2
        2.0 and I'd never want to be without it.

        Gene

        On Sat, Feb 1, 2014 at 1:49 PM, Gene gene1999@users.sf.net wrote:

        I downloaded 4.2.0. I will install it on Sunday. after a scheduled
        overnight backup tonight.

        Thanks for your response.

        On Fri, Jan 31, 2014 at 10:10 PM, Mark Miesfeld miesfeld@users.sf.net
        wrote:

        Hi Gene,

        Could you please try this with the ooRexx 4.2.0 release candidate. You can
        download it from:

        https://sourceforge.net/projects/oorexx/files/oorexx/4.2.0%20%28release%20candidate%202%29/
        Be sure to report back your results. Thanks.

        Status: open
        Created: Wed Dec 25, 2013 10:47 PM UTC by Gene
        Last Updated: Wed Dec 25, 2013 10:47 PM UTC
        Owner: nobody

        This bug applies to ooRexx 4.1.3 x64 on Windows 7 x64, with the TCC (Take
        Command) command processor.

        The console window closes for no apparent reason and at random times. No
        GPF is created and no error message appears. The window just closes as if I
        had clicked on the X button. It always happens when I am using the command
        line to call an internal command, a batch file or a Rexx script, but
        sometimes I'm only backspacing to correct a typo. It's apparent to me that
        conhost is crashing, although I don't get an error message.

        It took me several weeks to figure out what was causing the problem, but I
        finally remembered that I had upgraded ooRexx to 4.1.3 at the end of
        October. I uninstalled 4.1.3 last week and then re-installed 4.1.2. The
        problem stopped.


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/oorexx/bugs/1231/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/


        Status: open
        Created: Wed Dec 25, 2013 10:47 PM UTC by Gene
        Last Updated: Sat Feb 01, 2014 03:10 AM UTC
        Owner: nobody

        This bug applies to ooRexx 4.1.3 x64 on Windows 7 x64, with the TCC (Take
        Command) command processor.

        The console window closes for no apparent reason and at random times. No
        GPF is created and no error message appears. The window just closes as if I
        had clicked on the X button. It always happens when I am using the command
        line to call an internal command, a batch file or a Rexx script, but
        sometimes I'm only backspacing to correct a typo. It's apparent to me that
        conhost is crashing, although I don't get an error message.

        It took me several weeks to figure out what was causing the problem, but I
        finally remembered that I had upgraded ooRexx to 4.1.3 at the end of
        October. I uninstalled 4.1.3 last week and then re-installed 4.1.2. The
        problem stopped.


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/oorexx/bugs/1231/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #1231

        Attachments
  • Mark Miesfeld
    Mark Miesfeld
    2014-02-05

    • status: open --> pending
    • assigned_to: Mark Miesfeld
    • Pending work items: none --> complete
    • Group: None --> v4.2.0
     
  • Mark Miesfeld
    Mark Miesfeld
    2014-02-05

    This appears to be fixed in ooRexx 4.2.0

    I think it may be related to the fix for:

    [bugs:#1239]

    The reason being that there was very little change between 4.1.2 and 4.1.3. The main change was a rewrite of SysFileTree in which I introduced a buffer over-run. In both bugs, a crash occurred when running an alternate shell on top of the Windows command shell. I suspect that the problem reported in this bug was fixed by fixing the buffer over-run.

     

    Related

    Bugs: #1239


Anonymous


Cancel   Add attachments